package com.pj.project.app_role;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.project4sp.SP;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * Controller: app_role -- 
 * @author qzy 
 */
@RestController
@RequestMapping("/app/AppRole/")
public class AppRoleApiController {

	/** 底层 Service 对象 */
	@Autowired
	AppRoleService appRoleService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(AppRole.PERMISSION_CODE_ADD)
	public AjaxJson add(AppRole a){
		appRoleService.add(a);
		a = appRoleService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(a);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(AppRole.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 appRoleService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(AppRole.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(AppRole.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(AppRole.PERMISSION_CODE_EDIT)
	public AjaxJson update(AppRole a){
		appRoleService.update(a);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(AppRole.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		AppRole a = appRoleService.getById(id);
		return AjaxJson.getSuccessData(a);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
//		@SaCheckPermission(AppRole.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		so.put("status",1);
		List<AppRole> list = appRoleService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
